package eventmodels

import "github.com/mhaya/game/game_cluster/internal/constant"

// 资产变动事件
type AssetsEventContent struct {
	UserBasic
	EventBasic
	OperationType constant.OperationTypeStr `json:"operation_type"` // 操作类型 增加:increase;减少:decrease
	Currency      constant.CurrencyTypeStr  `json:"currency"`       // 货币类型
	Reason        string                    `json:"reason"`         // 变动原因
	BeforeBalance int64                     `json:"before_balance"` // 变动前余额
	Amount        int64                     `json:"amount"`         // 变动金额
	AfterBalance  int64                     `json:"after_balance"`  // 变动后余额
}

func (e *AssetsEventContent) EventName() string {
	return "AssetsChange"
}
