package eventmodels

import "github.com/mhaya/game/game_cluster/internal/constant"

// 用户提现事件
type UserWithdrawEventContent struct {
	UserBasic
	EventBasic
	WithdrawId      string                   `json:"withdraw_id"`      // 提现记录id
	Currency        constant.CurrencyTypeStr `json:"currency"`         // 货币类型
	Ip              string                   `json:"ip"`               // IP
	Platform        string                   `json:"platform"`         // 平台
	Channel         string                   `json:"channel"`          // 渠道
	Address         string                   `json:"address"`          // 提现地址
	BeforeBalance   int64                    `json:"before_balance"`   // 提现前余额
	Amount          int64                    `json:"amount"`           // 提现金额
	AfterBalance    int64                    `json:"after_balance"`    // 提现后余额
	Reason          string                   `json:"reason"`           // 提现原因
	State           int                      `json:"state"`            // 服务器是否已经处理 0 未处理 1已处理
	WithdrawalState int                      `json:"withdrawal_state"` // 提现 0 :未体现 1:提现成功 2:提现中 3：提现失败 4：拒绝提现
}

func (e *UserWithdrawEventContent) EventName() string {
	return "UserWithdraw"
}
